package com.goafanti.user.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.goafanti.common.dao.OrganizationTechMapper;
import com.goafanti.common.model.OrganizationTech;
import com.goafanti.user.service.OrganizationTechService;
@Service
public class OrganizationTechServiceImpl implements OrganizationTechService{
    @Autowired
    OrganizationTechMapper  organizationTechMapper;
	
	@Override
	public OrganizationTech selectOrgTechByUserId(String uid) {
		return organizationTechMapper.selectOrgTechByUserId(uid);
	}

	@Override
	public OrganizationTech insert(OrganizationTech orgTech) {
		organizationTechMapper.insert(orgTech);
		return orgTech;
	}

	@Override
	public int updateByPrimaryKeySelective(OrganizationTech orgTech) {
		return organizationTechMapper.updateByPrimaryKeySelective(orgTech);
	}

}
